/*
 Theme Name:   Travelo Child
 Description:  Travelo Child Theme
 Template:     Travelo
*/


#cruiseandshipfinder {
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    font-family: 'Trebuchet MS',Arial,Helvetica,sans-serif;
    padding: 15px 10px;
}

#cruiseandshipfinder form {
    margin: 0 0 10px
}

#cruiseandshipfinder select {
    border: 0;
    border-radius: 5px;
    color: #303b44;
    font-family: 'Trebuchet MS',Arial,Helvetica,sans-serif;
    font-size: 12px;
    margin: 0 3px 5px 0;
    padding: 5px;
    width: 100%
}

#cruiseandshipfinder button {
    border: 0;
    background: #0077a7;
    color: #fff;
    cursor: pointer;
    font-family: 'Trebuchet MS',Arial,Helvetica,sans-serif;
    padding: 7px 10px;
    border-radius: 5px;
    margin: 0 3px 5px 0;
    text-align: left;
    width: 100%
}

#cruiseandshipfinder button:after {
    content: '';
    border-bottom: 4px solid transparent;
    border-left: 4px solid #000;
    border-top: 4px solid transparent;
    float: right;
    margin-top: 3px
}

#cruiseandshipfinder h2 {
    color: #fff;
    font-family: 'Trebuchet MS',Arial,Helvetica,sans-serif;
    font-size: 18px;
    font-weight: 400;
    margin: 0 0 12px;
    padding: 0
}

#cruiseandshipfinder h2 span {
    color: #e0e0e0;
    font-size: 16px
}

#csf-searchcruise,#csf-searchship {

}

#csf-searchcruise button,#csf-searchcruise select,#csf-searchship button,#csf-searchship select {
    width: calc(50% - 7px)
}

#csf-searchimpress {
    background: url(//www.cruising.com.au/widgets/images/impress-badge.png) 50% 0 no-repeat;
    background-size: contain;
    height: 110px;
    width: 100%
}

@media only screen and (min-width: 420px) {
    #csf-searchcruise button,#csf-searchcruise select {
        width:calc(33% - 7px)
    }

    #csf-searchship {
        width: 40%
    }

    #csf-searchship button,#csf-searchship select {
        width: 100%
    }

    #csf-searchimpress {
        background-position: 100% 0;
        width: 60%
    }
}

@media only screen and (min-width: 600px) {
    #csf-searchcruise button,#csf-searchcruise select {
        width:calc(20% - 7px)
    }
}

@media only screen and (min-width: 800px) {
    #cruiseandshipfinder form {
        border-right:1px solid #e0e0e0;
        margin: 0 15px 10px 0;
        padding-right: 15px
    }


    #csf-searchimpress,#csf-searchship {
        width: 15%
    }
}


.footer-wrapper .menu-item.col-xs-6 {
	width: 100%;
}


/* Intro selector modal */
@media (min-width: 1280px) { .intro-selector .modal-lg { width: 1200px; } }
.modal .modal-header { border: 0; }
.modal .modal-header .close { padding: 0 0.75rem; }
.modal .modal-header .close span { display: none; }

.intro-selector .modal-body { display: flex; flex-direction: column; gap: 1.5rem; padding-top: 2.5rem; }
@media (min-width: 540px) { .intro-selector .modal-body { flex-direction: row; align-items: stretch; } }
@media (min-width: 992px) { .intro-selector .modal-body { gap: 1.5rem; } }

.intro-selector .modal-body .image-wrapper { flex: 1 1 0; background-color: #382852; color: #d5d1cb; display: grid; place-items: center; }
.intro-selector .modal-body .image-wrapper img { aspect-ratio: 1 / 1; object-fit: cover; object-position: center; max-height: 50vh; }
.intro-selector .modal-body .image-wrapper h4 { margin-top: 2vh; color: #fff; padding: 0 1rem; aspect-ratio: 1 / 1; display: grid; place-content: center; }

.modal .form-check { display: flex; align-items: flex-start; gap: 0.75rem; padding: 0 0.75rem; }
.modal .form-group-wrapper { display: flex; gap: 15px; }
.modal .form-group-wrapper > * { flex-grow: 1; }
.modal .form-check-label { font-size: 0.875rem; text-transform: none; letter-spacing: 0; }
.modal img { max-width: 100%; height: auto; }
.modal .image-wrapper { margin-bottom: 1rem; }
